List contacts
curl --request GET \
--url https://api.timelyai.com.br/v1/contacts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.timelyai.com.br/v1/contacts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.timelyai.com.br/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_name": "<string>",
"customer_email": "jsmith@example.com",
"customer_phone": "<string>",
"tags": [
"<string>"
],
"custom_fields": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"total_pages": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}Contacts
List contacts
Returns a paginated list of contacts.
GET
/
v1
/
contacts
List contacts
Authorizations
API key obtained from the dashboard
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Sort direction
Available options:
asc, desc Search term
Available options:
active, inactive, blocked ⌘I